## GtkTreeItem

GtkTreeItem — The widget used for items in a GtkTree

## Synopsis

    #include <gtk/gtk.h>

                GtkTreeItem;
    #define     GTK_TREE_ITEM_SUBTREE           (obj)
    GtkWidget*  gtk_tree_item_new               (void);
    GtkWidget*  gtk_tree_item_new_with_label    (const gchar *label);
    void        gtk_tree_item_set_subtree       (GtkTreeItem *tree_item,
                                                 GtkWidget *subtree);
    void        gtk_tree_item_remove_subtree    (GtkTreeItem *tree_item);
    void        gtk_tree_item_select            (GtkTreeItem *tree_item);
    void        gtk_tree_item_deselect          (GtkTreeItem *tree_item);
    void        gtk_tree_item_expand            (GtkTreeItem *tree_item);
    void        gtk_tree_item_collapse          (GtkTreeItem *tree_item);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkItem
                                           +----GtkTreeItem

## Implemented Interfaces

GtkTreeItem implements AtkImplementorIface.

## Signals

    "collapse"  void        user_function      (GtkTreeItem *treeitem,
                                                gpointer     user_data)      : Run first
    "expand"    void        user_function      (GtkTreeItem *treeitem,
                                                gpointer     user_data)      : Run first

## Description

### Warning

GtkTree is deprecated and unsupported. It is known to be buggy. To use it, you must define the symbol `GTK_ENABLE_BROKEN` prior to including the GTK+ header files. Use GtkTreeView instead.

## Details

### GtkTreeItem

    typedef struct _GtkTreeItem GtkTreeItem;

### Warning

`GtkTreeItem` is deprecated and should not be used in newly-written code.

### GTK_TREE_ITEM_SUBTREE()

    #define GTK_TREE_ITEM_SUBTREE(obj)      (GTK_TREE_ITEM(obj)->subtree)

### Warning

`GTK_TREE_ITEM_SUBTREE` is deprecated and should not be used in newly-written code.

`obj` : |

### gtk_tree_item_new ()

    GtkWidget*  gtk_tree_item_new               (void);

### Warning

`gtk_tree_item_new` is deprecated and should not be used in newly-written code.

Returns : |

### gtk_tree_item_new_with_label ()

    GtkWidget*  gtk_tree_item_new_with_label    (const gchar *label);

### Warning

`gtk_tree_item_new_with_label` is deprecated and should not be used in newly-written code.

`label` : |
Returns : |

### gtk_tree_item_set_subtree ()

    void        gtk_tree_item_set_subtree       (GtkTreeItem *tree_item,
                                                 GtkWidget *subtree);

### Warning

`gtk_tree_item_set_subtree` is deprecated and should not be used in newly-written code.

`tree_item` : |
`subtree` : |

### gtk_tree_item_remove_subtree ()

    void        gtk_tree_item_remove_subtree    (GtkTreeItem *tree_item);

### Warning

`gtk_tree_item_remove_subtree` is deprecated and should not be used in newly-written code.

`tree_item` : |

### gtk_tree_item_select ()

    void        gtk_tree_item_select            (GtkTreeItem *tree_item);

### Warning

`gtk_tree_item_select` is deprecated and should not be used in newly-written code.

`tree_item` : |

### gtk_tree_item_deselect ()

    void        gtk_tree_item_deselect          (GtkTreeItem *tree_item);

### Warning

`gtk_tree_item_deselect` is deprecated and should not be used in newly-written code.

`tree_item` : |

### gtk_tree_item_expand ()

    void        gtk_tree_item_expand            (GtkTreeItem *tree_item);

### Warning

`gtk_tree_item_expand` is deprecated and should not be used in newly-written code.

`tree_item` : |

### gtk_tree_item_collapse ()

    void        gtk_tree_item_collapse          (GtkTreeItem *tree_item);

### Warning

`gtk_tree_item_collapse` is deprecated and should not be used in newly-written code.

`tree_item` : |

## Signal Details

### The "collapse" signal

    void        user_function                  (GtkTreeItem *treeitem,
                                                gpointer     user_data)      : Run first

`treeitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "expand" signal

    void        user_function                  (GtkTreeItem *treeitem,
                                                gpointer     user_data)      : Run first

`treeitem` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.